/*
 * Local Matters Voice and Wireless Division, Inc. Confidential
 * OCO Source Materials
 * Copyright (C) Local Matters Voice and Wireless Division, Inc. 2007.  All Rights Reserved.
 * 
 * The source code for this program is not published or otherwise divested of its trade
 * secrets, irrespective of what has been deposited with the U.S. Copyright Office.
 */

/*
 * Creates the collector database schema if it does not exist.
 */
DROP SCHEMA IF EXISTS `collector`;
CREATE SCHEMA IF NOT EXISTS `collector`;

/*
 * Creates the collector-schemas table.
 */
CREATE TABLE IF NOT EXISTS `collector`.`collector_schemas` (
    
    `name` VARCHAR(30)  NOT NULL,
    `version` VARCHAR(30)  NOT NULL,
    `document` LONGTEXT  NOT NULL,
    
    PRIMARY KEY(`name`, `version`)
    
) Engine = InnoDB;

/*
 * Add some data into the table.
 */
INSERT INTO `collector`.`collector_schemas` VALUES ('lmi', '1', 'content');
INSERT INTO `collector`.`collector_schemas` VALUES ('lmi', '2', 'content');
INSERT INTO `collector`.`collector_schemas` VALUES ('lmi', '3', 'content');
INSERT INTO `collector`.`collector_schemas` VALUES ('mag', 'a', 'content');
INSERT INTO `collector`.`collector_schemas` VALUES ('mag', 'b', 'content');
