/*
 * Local Matters Voice and Wireless Division, Inc. Confidential
 * OCO Source Materials
 * Copyright (C) Local Matters Voice and Wireless Division, Inc. 2007.  All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade
 * secrets, irrespective of what has been deposited with the U.S. Copyright Office.
 */
package com.localmatters.collector.schema;

import javax.xml.ws.WebFault;

/**
 * Thrown to indicate a schema is invalid.
 *
 * @author Daniel Cavalcanti
 */
@WebFault()
public class InvalidSchemaException
    extends SchemaException {
    
    /**
     * Constructs an instance of <code>InvalidSchemaException</code>.
     * 
     * @param message the detail message.
     * @param cause The root cause.
     */
    public InvalidSchemaException(String message, Throwable cause) {
        super(message, cause);
    }
    
    /**
     * Constructs an instance of <code>InvalidSchemaException</code>.
     * 
     * @param message the detail message.
     */
    public InvalidSchemaException(String message) {
        super(message);
    }
    
    /**
     * Constructs an instance of <code>InvalidSchemaException</code>.
     * 
     * @param cause The root cause.
     */
    public InvalidSchemaException(Throwable cause) {
        super(cause);
    }
    
    /**
     * Constructs an instance of <code>InvalidSchemaException</code>.
     */
    public InvalidSchemaException() {
        super();
    }
    
}
