/*
 * Local Matters Voice and Wireless Division, Inc. Confidential
 * OCO Source Materials
 * Copyright (C) Local Matters Voice and Wireless Division, Inc. 2007.  All Rights Reserved.
 *
 * The source code for this program is not published or otherwise divested of its trade
 * secrets, irrespective of what has been deposited with the U.S. Copyright Office.
 */
package com.localmatters.collector.schema;

import junit.framework.*;
import com.localmatters.collector.schema.entity.CollectorSchema;
import com.localmatters.collector.schema.entity.CollectorSchemaPK;
import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.TreeSet;
import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.annotation.Resource;
import javax.ejb.Stateless;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * JUnit test for {@link SchemaBean} class.
 *
 * @author Daniel Cavalcanti
 */
public class SchemaBeanTest extends TestCase {
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of SchemaBeanTest.
     *
     * @param testName The test name.
     */
    public SchemaBeanTest(String testName) {
        super(testName);
    }
    
    // **********************************************************************
    // Test context methods
    // **********************************************************************
    
    /**
     * Sets up the test context.
     */
    protected void setUp()
    throws Exception {
    }
    
    /**
     * Tears down the test context.
     */
    protected void tearDown()
    throws Exception {
    }
    
    // **********************************************************************
    // Test emthods
    // **********************************************************************
    
    /**
     * Test of addSchema method, of class com.localmatters.collector.schema.SchemaBean.
     */
    public void testAddSchema() throws Exception {
        System.out.println("addSchema");
        
        String name = "";
        String version = "";
        String schema = "";
        SchemaBean instance = new SchemaBean();
        
        instance.addSchema(name, version, schema);
        
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
    
    /**
     * Test of getNames method, of class com.localmatters.collector.schema.SchemaBean.
     */
    public void testGetNames() {
        System.out.println("getNames");
        
        SchemaBean instance = new SchemaBean();
        
        List<String> expResult = null;
        List<String> result = instance.getNames();
        assertEquals(expResult, result);
        
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
    
    /**
     * Test of getVersions method, of class com.localmatters.collector.schema.SchemaBean.
     */
    public void testGetVersions() {
        System.out.println("getVersions");
        
        String name = "";
        SchemaBean instance = new SchemaBean();
        
        List<String> expResult = null;
        List<String> result = instance.getVersions(name);
        assertEquals(expResult, result);
        
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
    
    /**
     * Test of getSchema method, of class com.localmatters.collector.schema.SchemaBean.
     */
    public void testGetSchema() {
        System.out.println("getSchema");
        
        String name = "";
        String version = "";
        SchemaBean instance = new SchemaBean();
        
        String expResult = "";
        String result = instance.getSchema(name, version);
        assertEquals(expResult, result);
        
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
    
    /**
     * Test of getAllSchemas method, of class com.localmatters.collector.schema.SchemaBean.
     */
    public void testGetAllSchemas() {
        System.out.println("getAllSchemas");
        
        SchemaBean instance = new SchemaBean();
        
        List<String> expResult = null;
        List<String> result = instance.getAllSchemas();
        assertEquals(expResult, result);
        
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
    
    /**
     * Test of updateSchema method, of class com.localmatters.collector.schema.SchemaBean.
     */
    public void testUpdateSchema() throws Exception {
        System.out.println("updateSchema");
        
        String name = "";
        String version = "";
        String schema = "";
        SchemaBean instance = new SchemaBean();
        
        instance.updateSchema(name, version, schema);
        
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
    
    /**
     * Test of removeSchema method, of class com.localmatters.collector.schema.SchemaBean.
     */
    public void testRemoveSchema() {
        System.out.println("removeSchema");
        
        String name = "";
        String version = "";
        SchemaBean instance = new SchemaBean();
        
        instance.removeSchema(name, version);
        
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
    
}
